# README.md

# Soal: 4.5 Hilang Dalam Keramaian


## Deskripsi Soal
Diberikan sebuah deret angka yang disusun berurutan dari kecil ke besar, namun semua angka ditempel menjadi satu string tanpa spasi. Terdapat satu angka yang hilang di tengah deretan tersebut.  
Tugas program ini adalah menemukan angka yang hilang tersebut.

Contoh:
- Input: `23242526272830`
- Pecahan angka: 23, 24, 25, 26, 27, 28, 30
- Angka yang hilang: 29

## Batasan
- Angka minimal: 1
- Angka maksimal: 1.000.000
- Panjang string: minimal 3 karakter, maksimal 1000 karakter
- Angka yang hilang selalu di TENGAH (bukan awal atau akhir).

## Strategi Penyelesaian
1. Membaca input berupa string angka.
2. Menentukan panjang angka (2 digit, 3 digit, atau berubah saat melampaui batas 99 → 100).
3. Memecah string angka menjadi angka-angka terpisah sesuai urutan logis.
4. Mengecek setiap angka, dan mencari jika ada angka yang lompat (gap lebih dari 1).
5. Menampilkan angka yang hilang.

## Contoh Input dan Output
### Output 1:
12346789
### Output 1:
5
### Input 2:
202122232526272829
### Output 2:
24
### Input 3:
110111102103104105107108109
### Output 3:
106